DefaultRouterResultsHandler (Mule ESB 2.2.1 API)
Keywords: org.mule.routing.outbound.DefaultRouterResultsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.outbound
Class DefaultRouterResultsHandler

    java.lang.Object
      org.mule.routing.outbound.DefaultRouterResultsHandler

All Implemented Interfaces:
  RouterResultsHandler

    public class DefaultRouterResultsHandler

extends Object
implements RouterResultsHandler

The default results handler for all outbound endpoint. Depending on the number of messages passed it the returning message will be different. If the 'results' param is null or empty, null is returned. If the 'results' param contains a single `MuleMessage`, than that message is returned. If the 'results' param contains more than one message a `MuleMessageCollection` instance is returned.

Note that right now (as of Mule 2.0.1) this SPI is not pluggable and this implementation is the default and only implementation.

See Also:
  `MuleMessageCollection`, `MuleMessage`, `DefaultMessageCollection`

Constructor Summary
`DefaultRouterResultsHandler()`

Method Summary
`MuleMessage` | `aggregateResults(List results, MuleMessage orginalMessage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRouterResultsHandler

    public DefaultRouterResultsHandler()

Method Detail

### aggregateResults

    public MuleMessage aggregateResults(List results,
                                        MuleMessage orginalMessage)

  Specified by:
    `aggregateResults` in interface `RouterResultsHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.